# class DRb::TimerIdConv

Timer id conversion keeps objects alive for a certain amount of time after their last access. The default time period is 600 seconds and can be changed upon initialization.

To use TimerIdConv:

    DRb.install_id_conv TimerIdConv.new 60 # one minute

### Public Class Methods

new(keeping=600) click to toggle source

Creates a new `TimerIdConv` which will hold objects for `keeping` seconds.

    # File lib/drb/timeridconv.rb, line 80
    def initialize(keeping=600)
      @holder = TimerHolder2.new(keeping)
    end